---
updatedAt: 2025-06-12T23:57:48.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Create Fiat Account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/fiat-accounts": {
      "post": {
        "summary": "Create Fiat Account",
        "description": "",
        "operationId": "create-fiat-account",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "currency",
                  "ibanCountry"
                ],
                "properties": {
                  "businessId": {
                    "type": "string",
                    "description": "Required if you have contracted with Fiat Republic via multiple legal entities."
                  },
                  "currency": {
                    "type": "string",
                    "description": "3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code of the currency in which you want to create the Fiat Account. e.g. `GBP` for Pound Sterling",
                    "enum": [
                      "GBP",
                      "EUR",
                      "USD",
                      "AUD"
                    ]
                  },
                  "label": {
                    "type": "string",
                    "description": "An optional label to easily identify the account on the Dashboard."
                  },
                  "ibanCountry": {
                    "type": "string",
                    "description": "Required field for all currencies, except GBP and USD",
                    "enum": [
                      "LU",
                      "DE",
                      "DK",
                      "GB"
                    ]
                  },
                  "metadata": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "Map of Strings format"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "id": "fac_ov8jkx67ndy1dbglam",
                      "owner": {
                        "type": "MEMBER",
                        "id": "mbr_d8ovyep1r8x0kx65n2"
                      },
                      "balance": {
                        "actual": "0.00",
                        "available": "0.00",
                        "reserved": "0.00"
                      },
                      "currency": "GBP",
                      "bankDetails": null,
                      "label": "Quantum LTD",
                      "status": "CREATED",
                      "tags": [
                        "CLIENT_MONEY"
                      ],
                      "createdAt": 1637593856104,
                      "updatedAt": 1637593856104,
                      "metadata": null
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "fac_ov8jkx67ndy1dbglam"
                    },
                    "owner": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "example": "END_USER"
                        },
                        "id": {
                          "type": "string",
                          "example": "eus_j82rl497g47g5ykvzn"
                        }
                      }
                    },
                    "balance": {
                      "type": "object",
                      "properties": {
                        "actual": {
                          "type": "string",
                          "example": "0.00"
                        },
                        "available": {
                          "type": "string",
                          "example": "0.00"
                        },
                        "reserved": {
                          "type": "string",
                          "example": "0.00"
                        }
                      }
                    },
                    "currency": {
                      "type": "string",
                      "example": "GBP"
                    },
                    "bankDetails": {},
                    "label": {
                      "type": "string",
                      "example": "Satoshis Solana Account"
                    },
                    "status": {
                      "type": "string",
                      "example": "CREATED"
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "CLIENT_MONEY"
                      }
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1637593856104,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1637593856104,
                      "default": 0
                    },
                    "metadata": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://sandbox.fiatrepublic.com/api/v1/fiat-accounts \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n{\n    \"label\": \"Satoshis Solana Account\",\n    \"currency\": \"GBP\",\n    \"metadata\": null\n}\n'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```